Search
K
Policy Transactions

EligibilityCheck For Party Role Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyRolestringrequired

Response

application/json

Success

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyRole}/eligibilitycheck
 
application/json

Eligibility Check Tax Withholding

Evaluates whether the policy is eligible for a tax withholding change transaction.

post

Path Parameters

planCodestringrequired

Plan Code

Example:EVIU101

policyNumberstringrequired

Policy Number

Example:EVIUL7RED012

Response

application/json

Tax Withholding Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/parties/taxwithholding/eligibilitycheck
 
application/json

Validate Tax Withholding

Validates the tax withholding change request against business rules before submission.

post

Path Parameters

planCodestringrequired

Plan Code

Example:EVIU101

policyNumberstringrequired

Policy Number

Example:EVIUL7RED012

Body

application/json

TaxWithholdingChangeRequest

Request body for tax withholding change (POST /bpm/v1/policies/{planCode}/{policyNumber}/parties/taxwithholding
and validation). Extends transaction case fields with effective date and one or more withholding instruction lines.

planCodestring

Plan code (may duplicate path parameter)

Example:EVIU101

policyNumberstring

Policy number (may duplicate path parameter)

Example:EVIUL7RED012

effectiveDatestring(date)required

Effective date for the tax withholding change

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

Example:2026-06-17

correlationIdstring(uuid)

The unique ID to track transaction request across all systems

Example:e3bdb22b-790f-4357-ae60-42cdb0ff0d12

carrierIdstring

Carrier identifier

Example:FNWL

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

taxWithholdingInstructionsarray[object]required

Tax withholding instruction lines for the request

>= 1 items

Show Child Parameters

Response

application/json

Tax Withholding Validation Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/parties/taxwithholding/validation

Body

{ "planCode": "EVIU101", "policyNumber": "EVIUL7RED012", "effectiveDate": "2026-06-17", "correlationId": "e3bdb22b-790f-4357-ae60-42cdb0ff0d12", "carrierId": "FNWL", "taxWithholdingInstructions": [ { "partyId": "2314134", "taxWithholdingType": "FEDERAL", "filingStatus": "MARRIED", "taxRateToUse": "USEVALUESENTERED", "dollar": 0, "percentage": 0, "taxJurisdiction": "USA" } ] }
 
application/json

Submit Tax Withholding Transaction

Submits a tax withholding change transaction for processing.

post

Path Parameters

planCodestringrequired

Plan Code

Example:EVIU101

policyNumberstringrequired

Policy Number

Example:EVIUL7RED012

Body

application/json

TaxWithholdingChangeRequest

Request body for tax withholding change (POST /bpm/v1/policies/{planCode}/{policyNumber}/parties/taxwithholding
and validation). Extends transaction case fields with effective date and one or more withholding instruction lines.

planCodestring

Plan code (may duplicate path parameter)

Example:EVIU101

policyNumberstring

Policy number (may duplicate path parameter)

Example:EVIUL7RED012

effectiveDatestring(date)required

Effective date for the tax withholding change

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

Example:2026-06-17

correlationIdstring(uuid)

The unique ID to track transaction request across all systems

Example:e3bdb22b-790f-4357-ae60-42cdb0ff0d12

carrierIdstring

Carrier identifier

Example:FNWL

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

taxWithholdingInstructionsarray[object]required

Tax withholding instruction lines for the request

>= 1 items

Show Child Parameters

Response

application/json

Submit Transaction Successful

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/taxwithholding

Body

{ "planCode": "EVIU101", "policyNumber": "EVIUL7RED012", "effectiveDate": "2026-06-17", "correlationId": "e3bdb22b-790f-4357-ae60-42cdb0ff0d12", "carrierId": "FNWL", "taxWithholdingInstructions": [ { "partyId": "2314134", "taxWithholdingType": "FEDERAL", "filingStatus": "MARRIED", "taxRateToUse": "USEVALUESENTERED", "dollar": 0, "percentage": 0, "taxJurisdiction": "USA" } ] }
 
application/json

Eligibility Check Billing Feature Change

Evaluates whether the policy is eligible for a billing feature change transaction.

post

Path Parameters

planCodestringrequired

Plan Code

policyNumberstringrequired

Policy Number

Response

application/json

Billing Feature Change Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/billingfeaturechange/eligibilitycheck
 
application/json